1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Trouble Installing FFH

Discussion in 'Fall from Heaven Troubleshooting' started by hotrodlincoln, Oct 13, 2011.

  1. hotrodlincoln

    hotrodlincoln Upasaka

    Joined:
    Oct 25, 2010
    Messages:
    248
    I did everything on the installation troubleshooting thread. I tried multiple different downloads of this mod, I even found an old version of the mod floating around on fileplanet which I tried. All of them are having the same problem. When I install FFH 2 to my beyondthesword/mods folder, it seems to confuse the game. When trying to run FFH 2 from the shortcut, it says that it cannot find the "civilization4.exe" file in the program files/civilization/yadayada path, the default path. It can't find civ 4 there because that's not where civ 4 is installed. It's installed under Program Files (x86)/yaddayaddayadda. But I can't make the mod recognize that. If I try to run it under civilization 4's mod menu, it doesn't work either.

    Is there perhaps a .zip version of the mod somewhere that I can use to manually install this mod? I suspect that there is a problem with the installer. Also, before anyone asks, yes, i'm running Windows 7, and yes, i'm running it in admin mode when I try to install.
     
  2. Emptiness

    Emptiness []

    Joined:
    Jan 7, 2009
    Messages:
    1,922
    The shortcut that comes with the mod won't work right if Civ4 is not installed in the default location. To fix this problem, you need to edit the shortcut and point it to the correct path. Right-click on the shortcut, select Properties from the context menu, and change the "Target:" line to
    Code:
    "[Path]\Beyond the Sword\Civ4BeyondSword.exe" "mod=\Fall from Heaven 2"
    where [Path] is the path to your install of FfH2. From your post it sounds like [Path] in your case would be "C:\Program Files (x86)", but you'll want to confirm that. After making that change click Ok to finish. Your shortcut should then point to the correct locations of Civ4 and FfH2.

    Fixing the shortcut, however, may not be your only problem. If the mod is installed correctly then you should be able to start it from the Civ4 main menu. Since you are unable to do so, I suspect that there is some other problem. Can you provide some more details about what happens when you try to launch the mod? What exactly happens, what error messages (if any) do you see, does the mod attempt to load and crash or is it rejected by Civ4, et c. Also, what are the filename and date of the installer and the patcher you are using to install the mod?
     
  3. hotrodlincoln

    hotrodlincoln Upasaka

    Joined:
    Oct 25, 2010
    Messages:
    248
    Well, having just changed the mod's path to point to the proper file, It still doesn't work. Now instead of getting error messages, it will load for a second, and then nothing happens. I tried opening the mod from the Civ4 in-game menu and it did the same thing. It closed itself out, loaded for a few seconds, then closed itself out. No error messages of any kind.
     
  4. Emptiness

    Emptiness []

    Joined:
    Jan 7, 2009
    Messages:
    1,922
    I suspect that you may not have installed the mod itself, but instead have only installed a patch. What are the names, dates, and sizes of the files you are using to install and patch the mod?
     
  5. hotrodlincoln

    hotrodlincoln Upasaka

    Joined:
    Oct 25, 2010
    Messages:
    248
    I downloaded both the patch and the 0_23 version. I never installed the patch as I could not get 0_23 to work. It's the version from this very site.
     
  6. Emptiness

    Emptiness []

    Joined:
    Jan 7, 2009
    Messages:
    1,922
    Version 0.23 is very old and won't work with Civ4 + Beyond the Sword. You'll need to get the latest version of the mod to be able to play it with BtS. You can find the download links for the latest versions of the mod installer and patcher at the top of the first post of the FfH2 Bug Thread. Before you download them I would recommend that you delete the installer and patcher that you have (since they will be of no use) and also delete the folder they created in your Beyond the Sword\Mods folder (since it won't work there anyway). That way you can start fresh with the new downloads.

    If you run into any problems, you can consult my guide How to Install FfH2. It contains detailed instructions for how to get FfH2 installed successfully. If you have any questions that the guide doesn't cover, ask them here and I or someone else will try to help you out.
     
  7. hotrodlincoln

    hotrodlincoln Upasaka

    Joined:
    Oct 25, 2010
    Messages:
    248
    Oh...heh. I apparently managed to miss the download link for the proper installer. Well. I have egg on my face! Let's see if this works. I'll keep you posted. Thank you for the help!
     
  8. hotrodlincoln

    hotrodlincoln Upasaka

    Joined:
    Oct 25, 2010
    Messages:
    248
    and everything is working fine and dandy now. Thank you!
     
  9. Emptiness

    Emptiness []

    Joined:
    Jan 7, 2009
    Messages:
    1,922
    No problem. By the way, you may also want to install Tholal's Pyre Zombie/Sons of Asena fix. It corrects a serious bug in FfH2 0.41o which is unlikely to be fixed in an official patch any time soon.
     

Share This Page